import axios from "axios";

// axios.defaults.baseURL = process.env.REACT_APP_BASE_URL;

const instance = axios.create({
	baseURL: process.env.REACT_APP_BASE_URL,
	headers: {
		"Content-Type": "application/json"
	}
});

instance.interceptors.request.use(
	config => {
		const token = localStorage.getItem("token");

		if (token) {
			return { ...config, headers: { ...config.headers, Authorization: `Bearer ${token}` } };
		}

		return config;
	},
	error => Promise.reject(error)
);

instance.interceptors.response.use(
	response => {
		console.log("response", response);
		return response;
	},
	error => Promise.reject(error)
);

export default instance;
