import React from "react";

export const renderField = ({
	input: { ...inputProps },
	meta: { touched, error, ...rest },
	label,
	type = "text"
}) => {
	return (
		<div>
			{label && <label>{label}</label>}
			<div>
				<input type={type} {...inputProps} />
				{touched && error && <span>{error}</span>}
			</div>
		</div>
	);
};

export const renderSelect = ({
	input: { ...inputProps },
	meta: { touched, error, ...rest },
	label,
	option
}) => {
	return (
		<div>
			{label && <label>{label}</label>}
			<select {...inputProps}>
				{option.map(el => (
					<option key={el.value} value={el.value}>
						{el.title}
					</option>
				))}
			</select>
			{touched && error && <span>{error}</span>}
		</div>
	);
};
