import React, { memo } from "react";
import { reduxForm, Field } from "redux-form";

import { renderField, renderSelect } from "../form-elements";
import { validate } from "../../utils/validation";

const OPTIONS = [
	{
		value: "male",
		title: "Male"
	},
	{
		value: "female",
		title: "Female"
	}
];

const Form = props => {
	const { handleSubmit, mock, setInitialValueReduxForm, reset } = props;

	const submit = values => console.log(values);

	console.log("props", props);
	return (
		<div>
			<form onSubmit={handleSubmit(submit)}>
				<Field name="name" component={renderField} />
				<Field name="age" type="number" component={renderField} />
				<Field name="sex" option={OPTIONS} component={renderSelect} />

				<button>Submit</button>
				{/* <button onClick={reset} type="button">
					Clear
				</button> */}
			</form>

			<div>
				{mock.map(el => (
					<div key={el.id}>
						<h3>{el.name}</h3>
						<h5>{el.age}</h5>
						<p>{el.sex}</p>

						<button onClick={setInitialValueReduxForm.bind(null, el.id)} type="button">
							Edit
						</button>
					</div>
				))}
			</div>
		</div>
	);
};

export default memo(
	reduxForm({
		form: "todo",
		validate: (values, props) => validate(values),
		enableReinitialize: true
	})(Form)
);
