import { takeEvery, call, put, takeLatest } from "redux-saga/effects";
import { AUTH_REQUEST, REGISTRATION_REQUEST } from "../actionTypes";
import * as actions from "../actions/auth";

// import axios from "axios";
import instance from "../axios-config";

// const url = process.env.REACT_APP_BASE_URL + "auth/";

function* auth({ payload }) {
	try {
		const { data } = yield call(instance, {
			method: "POST",
			url: "auth/login",
			data: payload
		});

		yield localStorage.setItem("token", data.token);

		yield put(actions.authRequestSuccess(data.user));
	} catch (error) {
		yield put(actions.authRequestFail(error));
	}
}

function* registration({ payload }) {
	try {
		const data = yield call(instance, {
			method: "POST",
			url: "auth/register",
			data: payload
		});

		yield put(actions.registrationSuccess(data));
	} catch (error) {
		yield put(actions.registrationFail(error));
	}
}

export function* authRequests() {
	yield takeLatest(AUTH_REQUEST, auth);
	yield takeEvery(REGISTRATION_REQUEST, registration);
}
