import { createStore, applyMiddleware } from "redux";
import thunk from "redux-thunk";
import { createLogger } from "redux-logger";

import createSagaMiddleware from "redux-saga";

import reducers from "../reducers";
import { root } from "../sagas";

const saga = createSagaMiddleware();

const logger = createLogger({
	collapsed: true
});

export default createStore(reducers, applyMiddleware(thunk, logger, saga));

saga.run(root);
